



.prod-anteprima{
    width: 25%;
    padding: 7px;
    position: relative;

    float: left;
}
.prod-anteprima--no-res{
    height: 22.8vw;
}

.categoria__prodotti--filtri .prod-anteprima{
    width: 33.33%;
}

.prod-anteprima__content{
    width: 100%;
    height: 100%;
    padding: 20px;
    background-color: #FFFFFF;
    position: relative;
}
.prod-anteprima--no-res .prod-anteprima__content{
    background-color: #DDDDDD;
}

.prod-anteprima__container-rect{
    width: 4.1vw;
    height: 8.3vw;
    position: absolute;
    top: 3vw;
    left: 50%;
    
    transform: translateX(-50%);
}
.prod-anteprima__rect{
    width: 50%;
    height: 100%;
    position: absolute;
}
.prod-anteprima__rect--left{
    top: 0;
    left: 0;
}
.prod-anteprima__rect--right{
    top: 20px;
    right: 0;
}
.prod-anteprima__rect::before{
    content: '';
    width: calc(100% - 8px);
    height: calc(50% - 4px);
    background-color: #E6E6E6;
    position: absolute;
    top: 0;
    left: 50%;

    transform: translateX(-50%);
}
.prod-anteprima__rect::after{
    content: '';
    width: calc(100% - 8px);
    height: calc(50% - 4px);
    background-color: #E6E6E6;
    position: absolute;
    bottom: 0;
    left: 50%;

    transform: translateX(-50%);
}

.prod-anteprima__content:before{
    content: '';
    width: 100%;
    height: 100%;
    background-color: #FFFFFF;
    position: absolute;
    top: 0;
    left: 0;

    opacity: 0;
    z-index: 1;
    transition: all 300ms ease-out;
}
.prod-anteprima__content:hover:before{
    opacity: .35;
}
.prod-anteprima--no-res .prod-anteprima__content:hover:before{
    opacity: 0;
}

.prod-anteprima__wrapper-img{
    width: 100%;
    position: relative;
}
.prod-anteprima__wrapper-img::after{
    content: '';
    width: 100%;
    padding-top: 100%;

    display: block;
}

.prod-anteprima__img{
    width: 100%;
    height: auto;
    position: absolute;
    left: 0;
    top: 55%;

    transform: translateY(-50%);
}
.prod-anteprima__img--top{
    top: 0;
    transform: translateY(0);
}
.prod-anteprima__img--bottom{
    top: auto;
    bottom: 0;
    transform: translateY(0);
}
.prod-anteprima--tessuto .prod-anteprima__img,
.prod-anteprima--superficie .prod-anteprima__img{
    max-width: 93%;
    max-height: 93%;
    left: 50%;

    transform: translate(-50%, -50%);
}

.prod-anteprima__testi{
    position: relative;
    text-align: center;

    margin-top: 50px;
}
.prod-anteprima--no-res .prod-anteprima__testi{
    position: absolute;
    bottom: 2vw;
    left: 2.5vw;
    text-align: left;
}
.prod-anteprima__title{
    font-size: 20px;
    line-height: 20px;
}
.prod-anteprima__title span{
    font-size: 13px;
    font-family: 'Ubuntu', sans-serif;
}


.prod-anteprima__testi .line{
    position: relative;
    width: 120px;
    height: 1px;

    z-index: 0;
    display: block;
    margin: 0 auto 15px auto;
}

.prod-anteprima__text{
    color: #8F8F8F;
}

.prod-anteprima__text p{
    line-height: 24px;
}

/*/ prodotto full /*/
.prodotto{
    width: 100%;
    position: relative;
}



/*/ INTRO /*/
.main-content__ec-prezzo{
    display: inline-block;
    padding: 20px;
    background-color: #000000;
    color: #FFFFFF;
    padding: 10px 20px;
    margin-left: 40px;
    font-family: 'Ubuntu', sans-serif;
    vertical-align: top;
    margin-top: 8px;
}

/*/ configuratore /*/
.configuratore{
    top: 4vw;
    right: 4vw;
    width: 29.2vw;
    padding: 3vw;
    position: absolute;
    z-index: 30;
    font-size: 18px;
    background: #FFFFFF;
    box-shadow: 0px 4px 126px rgba(0, 0, 0, 0.1);
    font-family: 'Ubuntu', sans-serif;
}
.configuratore__close,
.configuratore__btn-mob{
    display: none;
}
.configuratore__title{
    font-size: 20px;
    font-weight: 400;
    font-family: 'Vollkorn', serif;
}
.configuratore__title img {
    width: 26px;
    height: auto;
    margin-right: 15px;
    vertical-align: middle;
}
.configuratore__title-strong{
    font-size: 20px;
    font-weight: 800;
}

.configuratore__input{
    padding: 10px;
    font-weight: 400;
    font-size: 11px;
    color: #767676;
    background: #F1F1F1;
    border-radius: 1px;
    margin: 30px 0 20px 0;
    position: relative;
}
.configuratore__input label{ display: none; }
.configuratore__input-unita{
    left: 70px;
    bottom: 16px;
    position: absolute;
}
.configuratore__input--float{
    width: calc(50% - 10px);
    display: inline-block;
}
.configuratore__input--float:first-child{
    margin-right: 20px;
}
.configuratore__input input{
    padding: 5px 0;
    color: #000000;
}


.configuratore__info{
    padding: 30px 5px;
    border-bottom: 1px solid #E6E6E6;
}
.configuratore__info-label{
    width: 60%;
    display: inline-block;
    vertical-align: top;
    position: relative;
}
.configuratore__info-label>span{
    font-size: 11px;
    color: #767676;
}

.configuratore__info-extra{
    font-size: 11px;
    position: absolute;
    left: 0;
    width: 100%;
    top: calc(100% + 5px);
}
.configuratore__info-dato{
    width: 40%;
    font-size: 20px;
    font-weight: 500;
    text-align: right;
    position: relative;
    display: inline-block;
}
.configuratore__info:last-child{
    border: none;
}

.configuratore__bottom{
    padding: 0 3vw;
    margin: 0 -3vw;
    border-top: 1px solid #E6E6E6;
}
#configuratore__add-to-cart.cta-disabled{
    opacity: 0.5;
    pointer-events: none;
}
#configuratore-feedback .cta-gradient,
#configuratore__added-to-cart,
#configuratore__error-add-to-cart,
.configuratore__bottom .add-to-cart{
    padding: 18px;
    font-size: 16px;
    font-weight: 400;
    width: 250px;
    margin: 3vw auto 0 auto;
}
#configuratore__added-to-cart{
    background: #333333;
    color: #FFFFFF;
    display: none;
}
#configuratore__error-add-to-cart{
    background: #FF0000;
    color: #FFFFFF;
    display: none;
}
.configuratore__bottom .configuratore__info{
    padding-bottom: 0px;
}
#configuratore__prezzo{
    font-size: 30px;
}
#configuratore__prezzo + .configuratore__info-extra{
    color: #767676;
}



/*/ CONFIGURATORE FEEDBACK /*/
#configuratore-feedback{
    top: 80px;
    position: fixed;
    right: 0;
    padding: 45px;
    z-index: 35;
    width: 38vw;
    min-width: 655px;
    height: calc(100% - 80px);
    pointer-events: none;
    background-color:#DDDDDD;
    transform: translateX(100%);
    transition: all 500ms cubic-bezier(0.785, 0.135, 0.150, 0.860);
}
#configuratore-feedback.visible{
    transform: translateX(0%);
    pointer-events: auto;
}
#configuratore-feedback .cart-item--feedback{
    padding-left: 0;
    padding-right: 0;
    position: relative;
}
#configuratore-feedback .cart-item--feedback .cart-item__name{
    width: 45%;
}
#configuratore-feedback .cart-item--feedback .cart-item__qta{
    text-align: center;
    font-size: 13px;
    color: #767676;
    width: 35%;
}
#configuratore-feedback .cart-item--feedback .cart-item__price{
    width: 25%;
}
#configuratore-feedback .cart-item--feedback .cart-item__remove{
    right: 0;
}
#configuratore-feedback .remove-feedback{
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    line-height: 140px;
    background:#DDDDDD;
    position: absolute;
    opacity: 0;
    pointer-events: none;
    transition: all 150ms linear;
}
#configuratore-feedback .remove-feedback.visible{
    opacity: 1;
    pointer-events: auto;
}
.configuratore-feedback__subtotale div{
    display: inline-block;
    width: 50%;
    padding: 30px 0;
    font-size: 24px;
    vertical-align: top;
}
.configuratore-feedback__subtotale .text-mini{
    font-size: 14px;
    font-family: 'Ubuntu', sans-serif;
    display: block;
}
.configuratore-feedback__subtotale div:nth-child(2){
    text-align: right;
    font-size: 20px;
    font-family: 'Ubuntu', sans-serif;
}
#configuratore-feedback .cta-gradient{
    margin: 0 auto;
    background: #333333;
    margin-top: 20px;
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translate3d(-50%, 0, 0);
}

/* TABELLA PRODOTTO VETRITE */
.prodotto__wrapper-tabella {
    width: 100%;
    overflow: auto;
}
.prodotto__tabella {
    min-width: 90%;
    font-size: 14px;
    font-weight: 400;
    border-collapse: collapse;
    border-spacing: 0;
    margin: 50px auto;
}
.prodotto__tabella table th,
.prodotto__tabella table td {
    white-space: nowrap;
}
.prodotto__tabella td:first-child{
    font-weight: 800;
    border-right: 10px solid #E6E6E6;
}
.prodotto__tabella thead tr {
    background: transparent !important;
}
.prodotto__tabella tr:nth-child(odd){
    background: #DDDDDD;
}
.prodotto__tabella thead tr:first-child{
    font-weight: 800;
}
.prodotto__tabella td{
    padding: 10px;
}
.prodotto__tabella thead td{
    padding: 3px 10px;
}
.prodotto__tabella thead tr:last-child td{
    padding-bottom: 10px;
}

@media(max-width: 1499px){

    .configuratore{
        font-size: 14px;
    }
    .configuratore__title{
        font-size: 18px;
    }
    .configuratore__title-strong{
        font-size: 18px;
    }
    
    .configuratore__input{
        font-size: 10px;
        margin: 30px 0 20px 0;
    }
    
    
    .configuratore__info{
        padding: 25px 5px;
    }
    .configuratore__info-extra{
        font-size: 10px;
    }
    .configuratore__info-dato{
        font-size: 18px;
    }
    #configuratore__prezzo{
        font-size: 20px;
    }

}


@media(max-width: 1299px){

    .configuratore{
        right: 15px;
        width: 35vw;
    }

}




@media(max-width: 991px){

    .prod-anteprima{
        width: 50%;
        padding: 5px;
    }

    .categoria__prodotti--filtri .prod-anteprima{
        width: 50%;
    }

    .prod-anteprima__content{
        padding: 15px;
    }

    .prod-anteprima__testi{
        margin-top: 20px;
    }

    .prod-anteprima__testi .line{
        display: none;
    }

    .prod-anteprima__title.subtitle{
        line-height: 21px;
    }

    
    .prod-anteprima--no-res{
        max-width: 180px;
        height: 216px;
    }

    .prod-anteprima__container-rect{
        width: 40px;
        height: 60px;
        position: absolute;
        top: 30px;
    }
    .prod-anteprima__rect--right{
        top: 10px;
    }
    .prod-anteprima__rect::before{
        width: calc(100% - 6px);
        height: calc(50% - 2px);
    }
    .prod-anteprima__rect::after{
        width: calc(100% - 6px);
        height: calc(50% - 2px);
    }

    .prod-anteprima--no-res .prod-anteprima__testi{
        width: calc(100% - 30px);
        bottom: 15px;
        left: 15px;

        margin-top: 0;
    }

    .prod-anteprima--no-res .prod-anteprima__testi br{
        display: none;
    }

    .prod-anteprima--no-res .prod-anteprima__text{
        margin-top: 10px;
    }



    /*/ configuratore /*/
    .configuratore{
        top: 60px;
        right: 0;
        position: fixed;
        width: 100%;
        height: calc(100% - 60px);
        padding: 60px 20px 20px 20px;
        opacity: 0;
        pointer-events: none;
        transition: all 350ms linear;
    }
    .configuratore.open{
        opacity: 1;
        pointer-events: auto;
    }
    .configuratore__close{
        width: 25px;
        height: auto;
        position: absolute;
        top: 20px;
        right: 20px;
        display: block;
    }
    .configuratore__btn-mob{
        width: 100%;
        display: block;
        position: fixed;
        bottom: 0;
        left: 0;
        z-index: 2;
        margin: 0;
    }
    #configuratore__added-to-cart,
    .configuratore__bottom .add-to-cart{
        margin: 50px auto 0 auto;
    }
    .main-content__ec-prezzo{
        margin-top: 0;
    }


    /*/ configuratore feedback /*/
    #configuratore-feedback{
        top: 60px;
        width: 100%;
        min-width: 100%;
        height: calc(100% - 60px);
    }
}



